List Single Schedule Payouts
curl --request GET \
--url https://nini.monieswitch.com/payout/single/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/payout/single/schedule"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/payout/single/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"records": [
{
"id": "2c694f49-115e-4d3f-9513-3f71eeba563b",
"email": "[email protected]",
"amount": 300,
"status": "DISPATCHED",
"charges": 20,
"scheduleDate": "2024-07-02T07:30:15.000Z",
"transactionId": "d59f2712-af22-4688-b1dd-28fb9247c435",
"accountNumber": "2394934324",
"accountName": "SIMI MICHELLE",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Testing schedule transaction",
"metadata": null,
"createdAt": "2024-07-02T07:28:23.510Z"
},
{
"id": "f1a4ef02-21d9-4653-9037-e8c45c4d8768",
"email": "[email protected]",
"amount": 300,
"status": "DISPATCHED",
"charges": 20,
"scheduleDate": "2024-07-02T07:25:15.000Z",
"transactionId": "53fdb607-8def-4cff-b07c-24d196251564",
"accountNumber": "2394934324",
"accountName": null,
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Testing schedule transaction",
"metadata": null,
"createdAt": "2024-07-02T07:22:43.501Z"
},
{
"id": "8660f706-69dc-4036-9bcf-5a36d332e560",
"email": null,
"amount": 600,
"status": "DISPATCHED",
"charges": 20,
"scheduleDate": "2024-10-01T11:24:00.000Z",
"transactionId": "963af4f3-80d4-4492-81a3-71d3a8dc589e",
"accountNumber": "2394934324",
"accountName": "SIMI MICHELLE",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": null,
"metadata": null,
"createdAt": "2024-01-10T11:15:07.231Z"
},
{
"id": "72c76142-cdce-4757-9ccf-becf50a0ed8f",
"email": null,
"amount": 300,
"status": "CANCELLED",
"charges": 20,
"scheduleDate": "2024-09-30T23:15:00.000Z",
"transactionId": null,
"accountNumber": "2394934324",
"accountName": "SIMI MICHELLE",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Another testing",
"metadata": null,
"createdAt": "2024-01-10T11:09:16.134Z"
},
{
"id": "f2c995f7-22ea-4c15-b85d-7749d5566d49",
"email": null,
"amount": 200,
"status": "CANCELLED",
"charges": 20,
"scheduleDate": "2024-10-01T10:57:00.000Z",
"transactionId": null,
"accountNumber": "2394934324",
"accountName": "SIMI MICHELLE",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Testing from dashboard",
"metadata": null,
"createdAt": "2024-01-10T10:56:02.598Z"
},
{
"id": "e236a790-ca07-4b66-8315-db6e47b3f69f",
"email": "[email protected]",
"amount": 500,
"status": "CANCELLED",
"charges": 10,
"scheduleDate": "2023-12-10T13:50:00.000Z",
"transactionId": null,
"accountNumber": "2394934324",
"accountName": "Obagunwa Emmanuel",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Testing transaction",
"metadata": null,
"createdAt": "2023-12-05T17:15:29.009Z"
},
{
"id": "4a0afd65-b4dd-40d5-b3d0-cac67e8fd80b",
"email": "[email protected]",
"amount": 500,
"status": "CANCELLED",
"charges": 10,
"scheduleDate": "2023-12-10T13:50:00.000Z",
"transactionId": null,
"accountNumber": "2394934324",
"accountName": "Obagunwa Emmanuel",
"bankName": "PROVIDUS BANK",
"bankCode": "000023",
"narration": "Testing transaction",
"metadata": null,
"createdAt": "2023-12-05T17:12:18.219Z"
}
],
"page": 1,
"perpage": 20,
"totalRecords": 7,
"totalPages": 1
}
}Payout
List Single Schedule Payouts
GET
/
payout
/
single
/
schedule
List Single Schedule Payouts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
NEW, FAILED, DISPATCHED, CANCELLED
Body
application/json
The body is of type object.
⌘I